import { Business } from '../../classes/dao/business.js';
import { Scene } from '../../classes/display/scene.js';
import { Box } from '../../classes/display/box.js';
import { mochaRun } from '../../util/helpers.js';

describe('Business', function tests() {
  this.timeout(0);
  let scene;
  before(async () => {
    const rootElement = document.getElementById('scene');
    const rootBox = new Box('rootBox', rootElement).flex();
    scene = new Scene('Business', rootBox);
  });
  it('Should exist', () => {
    const business = new Business(null, 'Business', scene);
    should.exist(business);
  });
});

mochaRun();
