The communication protocol(s) among network nodes
Each communication protocol among network nodes
has its own purpose
has its own assumptions, expectations, requirements, constraints

I think it makes sense to identify the constraints for our protocols.

We need the general public to be able to reliably

- Query information about the reputation WDAG
- Submit requests and fees for work
- Obtain the products of the work submitted by forum experts

Suppose we want only the requestor to be able to access a given work product.
(Why might we want this?)
Then the (soft) protocol for reviewing the work product would consist of
validating a signature by the requestor, attesting to their acceptance of the work product.

Alternatively access could be permitted to some group, such as reputation holders (a.k.a. experts).

Otherwise, for maximum utility, we would want to make the work products available indefinitely, as valuable artifacts.
Value here can be equated to the expected fees that the work products will help attract, which can in turn be equated to
reputation awarded to authors and reviewers of the work products.

Thus, the work of making the artifacts available must be funded.

The work of participating in a gossip / forum node consensus protocol and validating forum chain blocks must also be funded.

Suppose we have a storage contract.

- There can be a market for specific pledges of storage.
  - buy: (amount, duration, price)
  - sell: (amount, duration, price)
- Governance: Management of storage price
  - may negotiate via loose -> tight binding traversal forum post sequence
  - reputation in accordance with majority opinions on price parameters
- Verification of storage must occur by (randomly) querying the storage nodes and validating their responses.
